<?php
/**
* @version     	siteverification.php
* @author 		Edwin Witlox $
* @copyright   	Copyright (C) 2005 - 2017 Scorpion Computers and Software, Inc. All rights reserved.
* @license     	GNU General Public License version 2 or later; http://www.gnu.org/copyleft/gpl.html
* @email 		info@scorpioncomputers.nl
*/
// no direct access
defined('_JEXEC') or die('Restricted access');

jimport('joomla.plugin.plugin');
jimport('joomla.html.parameter');

class plgSystemSiteverification extends JPlugin {
	// protected $autoloadLanguage = true;

	public function __construct($subject, $params){
		parent::__construct($subject, $params);
	}
  
	// public function onAfterInitialise(){
	public function onBeforeCompileHead(){
		// get document
		$document = JFactory::getDocument();

		// get each of the verification keys
		$googlekey  = $this->params->get('googlekey');
		$bingkey    = $this->params->get('bingkey');
		$yahookey   = $this->params->get('yahookey');
		$alexakey   = $this->params->get('alexakey');
		$yandexkey  = $this->params->get('yandexkey');	

		// set meta tags
		if(!empty($googlekey)){
			$document->setMetaData('google-site-verification', $googlekey);
		}		
		if(!empty($bingkey)){
			$document->setMetaData('msvalidate.01', $bingkey);
		}
		if(!empty($yahookey)){
			$document->setMetaData('y_key', $yahookey);
		}
		if(!empty($alexakey)){
			$document->setMetaData('alexaVerifyID', $alexakey);
		}
		if(!empty($yandexkey)){
			$document->setMetaData('yandex-verification', $yandexkey);
		}
	}  
}
?>
